1 (edited by michalkjp 2012-02-03 08:57:36)

Topic: PHP 5.3.10 for EL5

Hi,

Could you update PHP for EL5 to version 5.3.10 before weekend?

https://bugs.php.net/bug.php?id=60708

Best regards,
Michal

Re: PHP 5.3.10 for EL5

There is a critical security fix in PHP 5.3.10 after PHP 5.3.9

http://thexploit.com/sec/critical-php-r … ision-dos/

Re: PHP 5.3.10 for EL5

Yes, this is planed

But, don't forget: I work on this during my free time.

Desktop: Fedora 33 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: PHP 5.3.10 for EL5

Remi wrote:

Yes, this is planed

But, don't forget: I work on this during my free time.

I am fully aware that. Thanks to your work there is no problem with using PHP 5.3 on EL.

Many thanks for your work!

Best regards,
Michal

Re: PHP 5.3.10 for EL5

See http://blog.famillecollet.com/post/2012 … -5.3.10-en


And remember the "Thanks" button on the top right corner of the page.

Desktop: Fedora 33 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

6 (edited by michalkjp 2012-02-03 19:31:15)

Re: PHP 5.3.10 for EL5

Many thanks for fixing this problem.

Remi wrote:

And remember the "Thanks" button on the top right corner of the page.

I'll let know to my employer - in the end he is most interested in trouble-free operation of portal/servers. I do not know whether he has a paypal account - could give your bank account number?

Best regards,
Michal

Re: PHP 5.3.10 for EL5

Had a major problem with this update. Scripts stop working with this error:

mysqli::mysqli(): [2002] No such file or directory (trying to connect via unix://%{mysql_sock})

This is using mysqlnd on el5/6.

Re: PHP 5.3.10 for EL5

Damned !

2 possible workaround
- set mysqli.default_socket
- don't connect to "localhost" but to ":/var/lib/mysql/mysql.sock"

New build (php-5.3.10-2) are running and will be available ASAP

Desktop: Fedora 33 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: PHP 5.3.10 for EL5

New Fedora and EL build are now available.

@nibbler: thanks a lot for the report, and really sorry for this issue. I should not try to be so quick, even for such critical updates.

Desktop: Fedora 33 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: PHP 5.3.10 for EL5

The updated packages are working, thanks.